%define name		gfontsampler
%define version 	0.4
%define release %mkrel 9

Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPL
Source0:		http://linuxadvocate.org/projects/gfontsampler/downloads/%name-%version.tar.bz2
Patch: gfontsampler-0.4-xdg.patch
Group:			Graphical desktop/GNOME
URL:			http://linuxadvocate.org/projects/gfontsampler/
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
Summary:		Gnome Font Sampler
BuildRequires:		libgnomeui2-devel
BuildRequires:		libglade2.0-devel
BuildRequires:		bison
BuildRequires:		imagemagick

%description
Gnome Font Sampler
The easiest way to pick the right font for the job.

Features:
* View all yours fonts at once
* Choose text and background colors
* Choose bold, italics, underline, font size, and example text used
* It's Free Software released under the GPL 

%prep
%setup -q
%patch -p1 -b .xdg

%build
%configure2_5x
%make LDFLAGS="-rdynamic -lpangoxft-1.0"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr $RPM_BUILD_ROOT/%_prefix/doc
rm -fr $RPM_BUILD_ROOT/%_includedir
mv %buildroot%{_datadir}/gnome/apps/Utilities/ %buildroot%{_datadir}/applications
#menu

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/%name-icon.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/%name-icon.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/%name-icon.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-, root, root)
%doc AUTHORS
%{_bindir}/*
#%{_includedir}/%{name}
%_datadir/applications/%name.desktop
%{_datadir}/pixmaps/%{name}/%{name}-icon.png
%{_datadir}/%{name}
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png




%changelog
* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.4-9mdv2010.0
+ Revision: 429195
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-8mdv2009.0
+ Revision: 245949
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.4-6mdv2008.1
+ Revision: 140737
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Feb 06 2007 Götz Waschk <waschk@mandriva.org> 0.4-6mdv2007.0
+ Revision: 116685
- Import gfontsampler

* Tue Feb 06 2007 Gtz Waschk <waschk@mandriva.org> 0.4-6mdv2007.1
- unpack patch
- fix linkage

* Thu Aug 03 2006 Gtz Waschk <waschk@mandriva.org> 0.4-5mdv2007.0
- xdg menu

* Wed May 17 2006 Austin Acton <austin@mandriva.org> 0.4-4mdk
- Rebuild

* Fri May 12 2006 Gtz Waschk <waschk@mandriva.org> 0.4-3mdk
- quick build fix
- use mkrel

* Sat Jan 22 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4-2mdk
- fix buildrequires

* Thu Jan 20 2005 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-3mdk 
- Rebuild with latest howl

* Tue Jan 04 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- fix buildrequires

* Mon Jan 03 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- New release 0.3

* Wed Dec 29 2004 Austin Acton <austin@mandrake.org> 0.2-1mdk
- fix buildreqires
- 0.2

* Tue Dec 28 2004 Austin Acton <austin@mandrake.org> 0.1-1mdk
- based on spec from Marc Koschewski <marc@osknowledge.org>

